漏洞信息详情

strongSwan和strongSwan VPN Client 安全漏洞

  • CNNVD编号:CNNVD-201506-066
  • 危害等级: 低危
  • CVE编号: CVE-2015-4171
  • 漏洞类型: 信息泄露
  • 发布时间: 2015-06-05
  • 威胁类型: 远程
  • 更新时间: 2015-06-11
  • 厂        商: strongswan
  • 漏洞来源: Alexander E. Patra...

漏洞简介

strongSwan是瑞士软件开发者Andreas Steffen所维护的一套Linux平台使用的开源的基于IPsec的VPN解决方案。该方案包含X.509公开密钥证书、安全储存私钥、智能卡等认证机制。strongSwan VPN Client是其中的一个VPN客户端。

strongSwan 4.3.0版本至5.3.1版本和strongSwan VPN Client 1.4.6之前版本中存在安全漏洞,该漏洞源于程序在完成对IKEv2连接的身份验证(使用EAP或pre-shared密钥)前,没有执行服务器身份验证限制。远程攻击者可通过使用有效的证书并读取响应利用该漏洞获取敏感信息。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

https://www.strongswan.org/blog/2015/06/08/strongswan-vulnerability-%2528cve-2015-4171%2529.html

参考网址

来源:www.strongswan.org

链接:https://www.strongswan.org/blog/2015/06/08/strongswan-vulnerability-%2528cve-2015-4171%2529.html

来源:play.google.com

链接:https://play.google.com/store/apps/details?id=org.strongswan.android

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2015/05/29/6

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2015/06/08/4

来源:UBUNTU

链接:http://www.ubuntu.com/usn/USN-2628-1

来源:SECTRACK

链接:http://www.securitytracker.com/id/1032514

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2015/05/29/7

来源:DEBIAN

链接:http://www.debian.org/security/2015/dsa-3282

来源: BID

链接:http://www.securityfocus.com/bid/74933

漏洞信息快速查询

相关漏洞

更多